package com.elephant.framework.galaxy.aroad.bigdata;

import java.io.Serializable;

public class BaseRoadToll_String implements Serializable{
    private String id;

    private String roadCode;

    private String roadName;

    private String number;

    private String code;

    private String name;

    private String shortName;

    private String tecLevel;

    private String locationType;

    private String tollDirection;

    private String entNum;

    private String entEtcNum;

    private String entMtcNum;

    private String entMixNum;

    private String expNum;

    private String expEtcNum;

    private String expMtcNum;

    private String expMixNum;

    private String managementUnit;

    private String longitude;

    private String latitude;

    public BaseRoadToll_String() {
    }

    public BaseRoadToll_String(String id, String roadCode, String roadName, String number, String code, String name, String shortName, String tecLevel, String locationType, String tollDirection, String entNum, String entEtcNum, String entMtcNum, String entMixNum, String expNum, String expEtcNum, String expMtcNum, String expMixNum, String managementUnit, String longitude, String latitude) {
        this.id = id;
        this.roadCode = roadCode;
        this.roadName = roadName;
        this.number = number;
        this.code = code;
        this.name = name;
        this.shortName = shortName;
        this.tecLevel = tecLevel;
        this.locationType = locationType;
        this.tollDirection = tollDirection;
        this.entNum = entNum;
        this.entEtcNum = entEtcNum;
        this.entMtcNum = entMtcNum;
        this.entMixNum = entMixNum;
        this.expNum = expNum;
        this.expEtcNum = expEtcNum;
        this.expMtcNum = expMtcNum;
        this.expMixNum = expMixNum;
        this.managementUnit = managementUnit;
        this.longitude = longitude;
        this.latitude = latitude;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getRoadCode() {
        return roadCode;
    }

    public void setRoadCode(String roadCode) {
        this.roadCode = roadCode;
    }

    public String getRoadName() {
        return roadName;
    }

    public void setRoadName(String roadName) {
        this.roadName = roadName;
    }

    public String getNumber() {
        return number;
    }

    public void setNumber(String number) {
        this.number = number;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getShortName() {
        return shortName;
    }

    public void setShortName(String shortName) {
        this.shortName = shortName;
    }

    public String getTecLevel() {
        return tecLevel;
    }

    public void setTecLevel(String tecLevel) {
        this.tecLevel = tecLevel;
    }

    public String getLocationType() {
        return locationType;
    }

    public void setLocationType(String locationType) {
        this.locationType = locationType;
    }

    public String getTollDirection() {
        return tollDirection;
    }

    public void setTollDirection(String tollDirection) {
        this.tollDirection = tollDirection;
    }

    public String getEntNum() {
        return entNum;
    }

    public void setEntNum(String entNum) {
        this.entNum = entNum;
    }

    public String getEntEtcNum() {
        return entEtcNum;
    }

    public void setEntEtcNum(String entEtcNum) {
        this.entEtcNum = entEtcNum;
    }

    public String getEntMtcNum() {
        return entMtcNum;
    }

    public void setEntMtcNum(String entMtcNum) {
        this.entMtcNum = entMtcNum;
    }

    public String getEntMixNum() {
        return entMixNum;
    }

    public void setEntMixNum(String entMixNum) {
        this.entMixNum = entMixNum;
    }

    public String getExpNum() {
        return expNum;
    }

    public void setExpNum(String expNum) {
        this.expNum = expNum;
    }

    public String getExpEtcNum() {
        return expEtcNum;
    }

    public void setExpEtcNum(String expEtcNum) {
        this.expEtcNum = expEtcNum;
    }

    public String getExpMtcNum() {
        return expMtcNum;
    }

    public void setExpMtcNum(String expMtcNum) {
        this.expMtcNum = expMtcNum;
    }

    public String getExpMixNum() {
        return expMixNum;
    }

    public void setExpMixNum(String expMixNum) {
        this.expMixNum = expMixNum;
    }

    public String getManagementUnit() {
        return managementUnit;
    }

    public void setManagementUnit(String managementUnit) {
        this.managementUnit = managementUnit;
    }

    public String getLongitude() {
        return longitude;
    }

    public void setLongitude(String longitude) {
        this.longitude = longitude;
    }

    public String getLatitude() {
        return latitude;
    }

    public void setLatitude(String latitude) {
        this.latitude = latitude;
    }

    @Override
    public String toString() {
        return "BaseRoadToll_String{" +
                "id='" + id + '\'' +
                ", roadCode='" + roadCode + '\'' +
                ", roadName='" + roadName + '\'' +
                ", number='" + number + '\'' +
                ", code='" + code + '\'' +
                ", name='" + name + '\'' +
                ", shortName='" + shortName + '\'' +
                ", tecLevel='" + tecLevel + '\'' +
                ", locationType='" + locationType + '\'' +
                ", tollDirection='" + tollDirection + '\'' +
                ", entNum='" + entNum + '\'' +
                ", entEtcNum='" + entEtcNum + '\'' +
                ", entMtcNum='" + entMtcNum + '\'' +
                ", entMixNum='" + entMixNum + '\'' +
                ", expNum='" + expNum + '\'' +
                ", expEtcNum='" + expEtcNum + '\'' +
                ", expMtcNum='" + expMtcNum + '\'' +
                ", expMixNum='" + expMixNum + '\'' +
                ", managementUnit='" + managementUnit + '\'' +
                ", longitude='" + longitude + '\'' +
                ", latitude='" + latitude + '\'' +
                '}';
    }
}